#
# spec file for package perl-Mail-Transport
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Mail-Transport
Version:        3.005
Release:        1.15
%define cpan_name Mail-Transport
Summary:        Use Mail Transfer Agents (MTAs)
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Mail::Reporter) >= 3
Requires:       perl(Mail::Reporter) >= 3
%{perl_requires}

%description
Objects which extend 'Mail::Transport' implement sending and/or receiving
of messages, using various protocols.

Mail::Transport::Send extends this class, and offers general functionality
for send protocols, like SMTP. Mail::Transport::Receive also extends this
class, and offers receive method. Some transport protocols will implement
both sending and receiving.

Extends "DESCRIPTION" in Mail::Reporter.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README README.md

%changelog
* Tue Jul 28 2020 Tina Müller <timueller+perl@suse.de>
- updated to 3.005
  see /usr/share/doc/packages/perl-Mail-Transport/ChangeLog
  version 3.005: Wed 22 Jul 10:40:05 CEST 2020
  Improvements:
  - warn to use ::SMTP, not ::SendMail on bulk messages.
  - much lower elapse time on ::SMTP (local?) delivery.
* Sat May  4 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.004
  see /usr/share/doc/packages/perl-Mail-Transport/ChangeLog
  version 3.004: Fri  3 May 09:29:07 CEST 2019
  Improvements:
  - add imap/imap4
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- initial package 3.003
  * created by cpanspec 1.78.09
